linux - 在亚马逊 Linux 2 上构建 GCC 11.2

在尝试为 Linux-x86_64 构建 GCC 版本 11.3(启用了 multilib 和 multiarch 支持)时,我收到以下错误:

In file included from /usr/include/features.h:447,
                 from /usr/include/bits/libc-header-start.h:33,
                 from /usr/include/stdio.h:27,
                 from /home/slagathor/Developer/gcc-11.3.0/libgcc/../gcc/tsystem.h:87,
                 from /home/slagathor/Developer/gcc-11.3.0/libgcc/generic-morestack.c:32:
/usr/include/gnu/stubs.h:7:11: fatal error: gnu/stubs-32.h: No such file or directory
    7 | # include <gnu/stubs-32.h>

据我所知,这意味着我没有安装 glibc-devel(32 位版本);但是,当尝试通过 YUM 安装它时,我得到以下输出:

$ sudo yum install glibc-devel.i686              

Loaded plugins: amzn_workspaces_filter_updates, halt_os_update_check, priorities, update-motd
amzn2-core                                                                                                                             | 3.7 kB  00:00:00     
firefox                                                                                                                                | 2.9 kB  00:00:00     
workspaces-internal-dependencies                                                                                                       | 2.2 kB  00:00:00     
No package glibc-devel.i686 available.

我正在使用 Amazon Linux 工作区,任何帮助都会有所帮助。

回答1

也许你正在使用centos,所以你需要去chrome并搜索“如何为centos安装glibc-devel.i686”。

相似文章

最新文章